#!/usr/local/bin/ruby
#  encoding: utf-8
#  daybook_logmail.rb

#  Created by midori on 2006-09-07.
#  Copyright (c) 2006. All rights reserved.
#  You can distribute/modify this program under the terms of the Ruby License.
#  Last change: 2006-09-07.
#  this file is for test mail button of 'admin/daybook_admin.html'
#  mail setting == "newpost/d_commentmail"
#________________________________________ 
require "daybook"
base = MainBase.load('base/daybook_base')
h_base =  base.make_base_hash
#________________________________________
require "newpost/d_params"
require "newpost/d_commentmail"
#________________________________________

cgipara = GetParams.new
para_data = cgipara.get_all_params

begin
  SAFE = 3
  mailpost = DaybookCommentMail.new(h_base)
  mailresult = mailpost.comment_sendmail(para_data)
  DaybookPrint.new.custom_print("Success.")
rescue
  DaybookPrint.new.error_out
end
#________________________________________ 
